import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

var manifest = {name:"ipynb",displayName:"%displayName%",description:"%description%",publisher:"vscode",version:"1.0.0",license:"MIT",icon:"media/icon.png",engines:{vscode:"^1.57.0"},enabledApiProposals:["documentPaste","diffContentOptions"],activationEvents:["onNotebook:jupyter-notebook","onNotebookSerializer:interactive","onNotebookSerializer:repl"],extensionKind:["workspace","ui"],main:undefined,browser:"./dist/browser/ipynbMain.browser.js",capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},contributes:{configuration:[{properties:{"ipynb.pasteImagesAsAttachments.enabled":{type:"boolean",scope:"resource",markdownDescription:"%ipynb.pasteImagesAsAttachments.enabled%","default":true},"ipynb.experimental.serialization":{type:"boolean",scope:"resource",markdownDescription:"%ipynb.experimental.serialization%","default":false,tags:["experimental"]}}}],commands:[{command:"ipynb.newUntitledIpynb",title:"%newUntitledIpynb.title%",shortTitle:"%newUntitledIpynb.shortTitle%",category:"Create"},{command:"ipynb.openIpynbInNotebookEditor",title:"%openIpynbInNotebookEditor.title%"},{command:"ipynb.cleanInvalidImageAttachment",title:"%cleanInvalidImageAttachment.title%"},{command:"notebook.cellOutput.copy",title:"%copyCellOutput.title%",category:"Notebook"},{command:"notebook.cellOutput.openInTextEditor",title:"%openCellOutput.title%",category:"Notebook"}],notebooks:[{type:"jupyter-notebook",displayName:"Jupyter Notebook",selector:[{filenamePattern:"*.ipynb"}],priority:"default"}],notebookRenderer:[{id:"vscode.markdown-it-cell-attachment-renderer",displayName:"%markdownAttachmentRenderer.displayName%",entrypoint:{"extends":"vscode.markdown-it-renderer",path:"./notebook-out/cellAttachmentRenderer.js"}}],menus:{"file/newFile":[{command:"ipynb.newUntitledIpynb",group:"notebook"}],commandPalette:[{command:"ipynb.newUntitledIpynb"},{command:"ipynb.openIpynbInNotebookEditor",when:"false"},{command:"ipynb.cleanInvalidImageAttachment",when:"false"},{command:"notebook.cellOutput.copy",when:"notebookCellHasOutputs"},{command:"notebook.cellOutput.openInTextEditor",when:"false"}],"webview/context":[{command:"notebook.cellOutput.copy",when:"webviewId == 'notebook.output' && webviewSection == 'image'"},{command:"notebook.cellOutput.copy",when:"webviewId == 'notebook.output' && webviewSection == 'text'"},{command:"notebook.cellOutput.openInTextEditor",when:"webviewId == 'notebook.output' && webviewSection == 'text'"}]}},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), {"mimeType":"text/markdown","size":263});
registerFileUrl('dist/browser/ipynbMain.browser', new URL('./resources/ipynbMain.browser.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":179020});
registerFileUrl('dist/browser/ipynbMain.browser.js', new URL('./resources/ipynbMain.browser.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":179020});
registerFileUrl('dist/browser/ipynbMain.browser.js.map', new URL('./resources/ipynbMain.browser.js.map', import.meta.url).toString(), {"mimeType":"application/json","size":581329});
registerFileUrl('dist/browser/notebookSerializerWorker', new URL('./resources/notebookSerializerWorker.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":7102});
registerFileUrl('dist/browser/notebookSerializerWorker.js', new URL('./resources/notebookSerializerWorker.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":7102});
registerFileUrl('dist/browser/notebookSerializerWorker.js.map', new URL('./resources/notebookSerializerWorker.js.map', import.meta.url).toString(), {"mimeType":"application/json","size":30873});
registerFileUrl('media/icon.png', new URL('./resources/icon.png', import.meta.url).toString(), {"mimeType":"image/png","size":29977});
registerFileUrl('notebook-out/cellAttachmentRenderer', new URL('./resources/cellAttachmentRenderer.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":616});
registerFileUrl('notebook-out/cellAttachmentRenderer.js', new URL('./resources/cellAttachmentRenderer.js', import.meta.url).toString(), {"mimeType":"application/javascript","size":616});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":2682});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":932});

export { whenReady };
